Skip to main content
GET
/
templates
List template groups.
curl --request GET \
  --url https://api.example.com/templates \
  --header 'Authorization: Bearer <token>' \
  --header 'x-environment: <x-environment>'
import requests

url = "https://api.example.com/templates"

headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-environment': '<x-environment>', Authorization: 'Bearer <token>'}
};

fetch('https://api.example.com/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ],
  "nextOffset": "<string>",
  "hasMore": true
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Query Parameters

filter
string[]
orderby
string
after
string
limit
integer<int32>
default:20
Required range: 1 <= x <= 100

Response

OK

results
object[] | null
read-only
nextOffset
string | null
read-only
hasMore
boolean
read-only